From 75eeebbf811b570ba076a67c57247ce51a6b53f7 Mon Sep 17 00:00:00 2001
From: Amir MOHAMMADI <amir.mohammadi@idiap.ch>
Date: Fri, 19 Jan 2018 16:38:22 +0100
Subject: [PATCH] skip and quiet

---
 conda/build-condarc  |  1 +
 conda/build_all.sh   | 95 ++++++++++++++++++++++++++++++++++++++++++++
 conda/conda-build.sh |  2 +-
 3 files changed, 97 insertions(+), 1 deletion(-)
 create mode 100755 conda/build_all.sh

diff --git a/conda/build-condarc b/conda/build-condarc
index a0ec6ef..7a7b8c9 100644
--- a/conda/build-condarc
+++ b/conda/build-condarc
@@ -7,6 +7,7 @@ add_pip_as_python_dependency: false
 show_channel_urls: true
 anaconda_upload: false
 ssl_verify: false
+quiet: true
 channels:
   - http://beatubulatest.lab.idiap.ch/private/conda
   - https://www.idiap.ch/software/bob/conda/label/main
diff --git a/conda/build_all.sh b/conda/build_all.sh
new file mode 100755
index 0000000..cf42755
--- /dev/null
+++ b/conda/build_all.sh
@@ -0,0 +1,95 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# bob.buildout \
+# bob.extension \
+# bob.blitz \
+# bob.core \
+# bob.io.base \
+# bob.math \
+for pkg in \
+bob.measure \
+bob.io.image \
+bob.db.base \
+bob.io.video \
+bob.io.matlab \
+bob.io.audio \
+bob.sp \
+bob.ap \
+bob.ip.base \
+bob.ip.color \
+bob.ip.draw \
+bob.ip.gabor \
+bob.learn.activation \
+bob.learn.libsvm \
+bob.learn.linear \
+bob.learn.mlp \
+bob.learn.boosting \
+bob.db.iris \
+bob.learn.em \
+bob.db.wine \
+bob.db.mnist \
+bob.db.atnt \
+bob.ip.facedetect \
+bob.ip.optflow.hornschunck \
+bob.ip.optflow.liu \
+bob.ip.flandmark \
+bob \
+gridtk \
+bob.ip.qualitymeasure \
+bob.ip.skincolorfilter \
+bob.ip.facelandmarks \
+bob.ip.dlib \
+bob.db.arface \
+bob.db.asvspoof \
+bob.db.asvspoof2017 \
+bob.db.atvskeystroke \
+bob.db.avspoof \
+bob.db.banca \
+bob.db.biosecure \
+bob.db.biosecurid.face \
+bob.db.casme2 \
+bob.db.caspeal \
+bob.db.cohface \
+bob.db.frgc \
+bob.db.gbu \
+bob.db.hci_tagging \
+bob.db.ijba \
+bob.db.kboc16 \
+bob.db.lfw \
+bob.db.livdet2013 \
+bob.db.mobio \
+bob.db.msu_mfsd_mod \
+bob.db.multipie \
+bob.db.nist_sre12 \
+bob.db.putvein \
+bob.db.replay \
+bob.db.replaymobile \
+bob.db.scface \
+bob.db.utfvp \
+bob.db.verafinger \
+bob.db.fv3d \
+bob.db.hkpu \
+bob.db.thufvdt \
+bob.db.mmcbnu6k \
+bob.db.hmtvein \
+bob.db.voicepa \
+bob.db.xm2vts \
+bob.db.youtube \
+bob.db.pericrosseye \
+bob.db.cuhk_cufs \
+bob.bio.base \
+bob.bio.gmm \
+bob.bio.face \
+bob.bio.spear \
+bob.bio.video \
+bob.bio.vein \
+bob.db.voxforge \
+bob.pad.base \
+bob.pad.face \
+bob.db.oulunpu \
+bob.db.uvad \
+; do
+    ./conda-build.sh 2.7 $pkg/conda
+done
diff --git a/conda/conda-build.sh b/conda/conda-build.sh
index a38a143..c44ff3b 100755
--- a/conda/conda-build.sh
+++ b/conda/conda-build.sh
@@ -16,4 +16,4 @@ if [ -e ${2}/../version.txt ]; then
   echo "Setting package version to \`${BOB_PACKAGE_VERSION}'..."
 fi
 
-conda build --no-anaconda-upload --variant-config-files ${DIR}/../gitlab/conda_build_config.yaml --python=${1} ${2}
+conda build --no-anaconda-upload --skip-existing --variant-config-files ${DIR}/../gitlab/conda_build_config.yaml --python=${1} ${2}
-- 
GitLab